/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:14pm
Filepath: scripts\Items\artifacts\champion spawns\MephitisFang.cs
Lines of code: 39

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class MephitisFang : Dagger
	{

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public MephitisFang()
		{
			Hue = 1272;
			Name = "Mephitis' Fang";
			WeaponAttributes.ResistPoisonBonus = 30;
			Attributes.WeaponSpeed = 50;
			Attributes.WeaponDamage = 45;
			Slayer=SlayerName.ReptilianDeath;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=100;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;			
		}
		


		public MephitisFang( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}